<?php

class actionFaqFaqEdit extends cmsAction {

    public function run($id = false) {
        if(!$id){cmsCore::error404();}
        $form = $this->getForm('faq', array('edit'));
        $is_submitted = $this->request->has('submit');
        $faqs = $this->model->getItemById('faq', $id);
        if($is_submitted){
            $faqs = $form->parse($this->request, $is_submitted, $faqs);
            $errors = $form->validate($this, $faqs);
            if (!$errors) {
                $this->model->editFaq($id, $faqs);
                $this->redirectToAction('faqs');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }
		
        return $this->cms_template->render('backend/faq', array(
            'do' => 'edit',
            'faqs' => $faqs,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));

    }
}