<?php
	class actionFaqItemToggle extends cmsAction {

		public function run($item_id=false){

			if(!$item_id){
				$this->cms_template->renderJSON(array('error' => true));			
			}
			
			$item = $this->model->getItemById('faq', $item_id);

			if(!$item){
				$this->cms_template->renderJSON(array('error' => true));			
			}
			
			$is_pub = $item['is_pub'] ? false : true;
			
			$this->model->update('faq', $item_id, array('is_pub' => $is_pub));
					
			$this->cms_template->renderJSON(array(
				'error' => false,
				'is_on' => $is_pub
			));

		}

	}