<?php

class formFaqFaq extends cmsForm {

    public function init($do, $cat_id = 1) {
        return array(
            array(
                'type' => 'fieldset',
                'childs' => array(
					new fieldList('cat_id', array(
					   'title' => LANG_CATEGORY,
					   'generator' => function(){

							$faq_model = cmsCore::getModel('faq');
							$tree = $faq_model->getFaqCats();

							if ($tree){
								foreach($tree as $item){
									$items[$item['id']] = $item['title'];
								}
							}

							return $items;

						}
				   )),
					
				   new fieldString('title', array(
					   'title' => LANG_FAQ_QUESTION,
					   'rules' => array(
						   array('required'),
						   array('max_length', 200),
						   array('min_length', 5)
					   )
					)),   
					  
					new fieldHtml('text', array(
					   'title' => LANG_FAQ_ANSWER,
					   'rules' => array(
						   array('required')
					   )
					))
                )
            )
            
        );

    }

}