CREATE TABLE IF NOT EXISTS `{#}faq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(4) NOT NULL DEFAULT '1',
  `title` varchar(200) NOT NULL,
  `text` text NOT NULL,
  `is_pub` int(1) NOT NULL DEFAULT '1',
  `ordering` int(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `{#}faq` (`id`, `cat_id`, `title`, `text`, `is_pub`, `ordering`) VALUES
(1, 1, 'Зачем мне вообще зарегистрироваться?', '<p>Регистрация даёт вам дополнительные возможности, которые недоступны анонимным пользователям: аватары, личные сообщения, анкета, участие в группах, добавление комментариев<span class="redactor-invisible-space">​</span>, фото, блог и т.д. </p><p>Регистрация займёт всего пару минут, поэтому рекомендуем это сделать.</p>', 1, 1),
(2, 1, 'Почему я не могу войти?', '<p>Существует несколько возможных причин. Прежде всего убедитесь в том, что вы правильно вводите <strong data-redactor-tag="strong">Email</strong> и <strong data-redactor-tag="strong">пароль</strong> указанные при регистрации. Если данные введены правильно, свяжитесь с администратором, чтобы проверить, не был ли вам закрыт доступ к сайту.\n</p>', 1, 2),
(3, 1, 'Как мне зарегистрироваться?', 'Для того что бы зарегистрироваться перейдите по этой ссылке <a href="/auth/register">http://Мой-сайт.ru/auth/register</a> - заполните все поля и нажмите <b>Продолжить</b>', 1, 3),
(4, 2, 'Как мне изменить информацию о себе?', '<p>Информацию о себе а так же свой аватар вы можете изменить следующим образом: Для начала,&nbsp;войдите на сайт используя свой Email и пароль, далее в меню с права нажмите <img src="/templates/default/images/icons/profile.png" width="12px" data-verified="redactor"> <strong data-redactor-tag="strong">Мой профиль</strong> и внизу появиться <img src="/templates/default/images/icons/settings.png" width="12px" data-verified="redactor"> <strong data-redactor-tag="strong">Редактировать профиль</strong></p>', 1, 1),
(5, 2, 'Как мне изменить свой пароль?', '<p>Зайдите в <img src="/templates/default/images/icons/profile.png" width="12px" data-verified="redactor"> <strong data-redactor-tag="strong">Мой профиль</strong> далее <img src="/templates/default/images/icons/settings.png" width="12px" data-verified="redactor"> <strong data-redactor-tag="strong">Редактировать профиль</strong> на верху нажмите на вкладку <strong data-redactor-tag="strong">Пароль</strong> и введите свой текущий пароль потом новый пароль и еще раз новый...</p>', 1, 1),
(6, 1, 'Я забыл свой пароль, что делать?', 'Что бы восстановить свой пароль, перейдите по ссылке: <a href="/auth/restore">http://Мой-сайт.ru/auth/restore</a> - введите в поле свой <b>Е-mail</b> и нажмите <b>Продолжить</b>. Через 2 - 3 минуты к вам на почту поступить письмо со ссылкой <b>Подтверждение</b> где вы можете изменить пароль на новый...', 1, 4),
(7, 2, 'Что такое рейтинг и как его увеличить?', 'Рейтинг - это показатель вашей активности в сайте, чем больше интересных материалов вы добавили на сайт, тем выше у вас Рейтинг. Повышение рейтинга происходить от количество голосов пользователей за ваши материалы т.е вы создали Блог и когда другие пользователи читают ваш блог то они увидят кнопки <b>↑</b> и <b>↓</b> за нажатие <b>↑</b> ваш рейтинг увеличиться на <span style="color:green;"><b>+1</b></span> а  <b>↓</b> уменьшиться на <span style="color:red;"><b>-1</b></span>', 1, 1),
(8, 2, 'Что такое Репутация и как ее увеличить?', 'Репутация - это показатель отношение пользователей к вам, чем больше у вас плюсов, тем больше людей <span style="color:green;"><b>уважают</b></span> вас а если у вас минусы, это значить к вам <span style="color:red;"><b>негативно</b></span> относятся. Что бы кому то поставить плюс или минус, зайдите к нему в анкету и нажмите <img src="/templates/default/images/icons/vote_thumbs.png" width="25">', 1, 1),
(9, 2, 'Как скрыть профиль от посторонних?', 'Зайдите в <img src="/templates/default/images/icons/profile.png" width="12px"> <b>Мой профиль</b> далее <img src="/templates/default/images/icons/settings.png" width="12px"> <b>Редактировать профиль</b> на верху нажмите на вкладку <b>Приватность</b> и настройте по своему усмотрению.', 1, 1);

CREATE TABLE IF NOT EXISTS `{#}faq_cats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `ordering` int(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `{#}faq_cats` (`id`, `title`, `ordering`) VALUES
(1, 'Регистрация и Авторизация', 1),
(2, 'Моя анкета', 2);