<?php
class modelFaq extends cmsModel{
    
    public function getFaqs(){
		$this->useCache('faq.faqs');
        return $this->get('faq');
    }
	
	public function getFaqsCount($cat_id=FALSE){
		$this->useCache('faq.faqs');
        if($cat_id) {$this->filterEqual('cat_id', $cat_id);}
        return $this->getCount('faq');
    }
    
    public function getFaqCats(){
		$this->useCache('faq.cats');
        return $this->get('faq_cats');
    }
    
    public function addFaq($faqs) {
		$add = $this->insert('faq', $faqs);
		if($add){cmsCache::getInstance()->clean("faq.faqs");}
		return $add;
    }
	
	public function addCat($cat) {
		$add = $this->insert('faq_cats', $cat);
		if($add){cmsCache::getInstance()->clean("faq.cats");}
		return $add;
    }
	
	public function editFaq($id, $faq) {
		$upd = $this->update('faq', $id, $faq);
		if($upd){cmsCache::getInstance()->clean("faq.faqs");}
        return $upd;
	}
    
    public function editFaqCat($id, $cat) {
		$upd = $this->update('faq_cats', $id, $cat);
		if($upd){cmsCache::getInstance()->clean("faq.cats");}
        return $upd;
    }
	
	public function reorderCats($items) {
        $this->reorderByList('faq_cats', $items);
        return true;
    }	
    
}
